Skip to main content
POST
/
v1
/
agents
/
runs
/
{workflow_run_id}
/
retry
Retry a run
curl --request POST \
  --url https://api.skyvern.com/v1/agents/runs/{workflow_run_id}/retry
{
  "run_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "run_type": "<string>",
  "output": {},
  "downloaded_files": [
    {
      "url": "<string>",
      "checksum": "<string>",
      "filename": "<string>",
      "file_size": 123,
      "modified_at": "2023-11-07T05:31:56Z",
      "artifact_id": "<string>"
    }
  ],
  "recording_url": "<string>",
  "recording_archived": false,
  "screenshot_urls": [
    "<string>"
  ],
  "failure_reason": "<string>",
  "queued_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z",
  "app_url": "https://app.skyvern.com/tasks/tsk_123",
  "browser_session_id": "pbs_123",
  "browser_profile_id": "bp_123",
  "max_screenshot_scrolls": 123,
  "script_run": {
    "ai_fallback_triggered": false,
    "script_id": "<string>",
    "script_revision_id": "<string>"
  },
  "errors": [
    {}
  ],
  "step_count": 123,
  "run_with": "agent",
  "ai_fallback": true,
  "script_id": "<string>",
  "run_request": {
    "workflow_id": "<string>",
    "parameters": {},
    "title": "<string>",
    "proxy_location": "RESIDENTIAL",
    "webhook_url": "<string>",
    "totp_url": "https://my-totp-service.com/totp",
    "totp_identifier": "john.doe@example.com",
    "browser_session_id": "<string>",
    "browser_profile_id": "<string>",
    "max_screenshot_scrolls": 123,
    "max_elapsed_time_minutes": 120,
    "extra_http_headers": {},
    "cdp_connect_headers": {},
    "browser_address": "http://127.0.0.1:9222",
    "ai_fallback": true,
    "run_with": "agent",
    "run_metadata": {}
  }
}

Headers

x-api-key
string | null

Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

x-max-steps-override
integer | null
x-user-agent
string | null

Path Parameters

workflow_run_id
string
required

The id of the workflow run to retry.

Example:

"wr_123"

Response

Successfully retried workflow run

run_id
string
required

Unique identifier for this run. Run ID starts with tsk_ for task runs and wr_ for workflow runs.

Examples:

"tsk_123"

"tsk_v2_123"

"wr_123"

status
enum<string>
required

Current status of the run

Available options:
created,
queued,
running,
timed_out,
failed,
terminated,
completed,
canceled
Examples:

"created"

"queued"

"running"

"timed_out"

"failed"

"terminated"

"completed"

"canceled"

created_at
string<date-time>
required

Timestamp when this run was created

Example:

"2025-01-01T00:00:00Z"

modified_at
string<date-time>
required

Timestamp when this run was last modified

Example:

"2025-01-01T00:05:00Z"

run_type
string
required

Type of run - always workflow_run for workflow runs

Allowed value: "workflow_run"
output

Output data from the run, if any. Format/schema depends on the data extracted by the run.

downloaded_files
FileInfo · object[] | null

List of files downloaded during the run

recording_url
string | null

URL to the recording of the run

recording_archived
boolean
default:false

True when the recording exists but has been archived to cold storage and is not currently accessible.

screenshot_urls
string[] | null

List of last n screenshot URLs in reverse chronological order - the first one the list is the latest screenshot.

failure_reason
string | null

Reason for failure if the run failed or terminated

queued_at
string<date-time> | null

Timestamp when this run was queued

started_at
string<date-time> | null

Timestamp when this run started execution

finished_at
string<date-time> | null

Timestamp when this run finished

app_url
string | null

URL to the application UI where the run can be viewed

Example:

"https://app.skyvern.com/tasks/tsk_123"

browser_session_id
string | null

ID of the Skyvern persistent browser session used for this run

Example:

"pbs_123"

browser_profile_id
string | null

ID of the browser profile used for this run

Example:

"bp_123"

max_screenshot_scrolls
integer | null

The maximum number of scrolls for the post action screenshot. When it's None or 0, it takes the current viewpoint screenshot

script_run
ScriptRunResponse · object

The script run result

errors
Errors · object[] | null

The errors for the run

step_count
integer | null

Total number of steps executed in this run

run_with
string
default:agent

Whether the workflow run was executed with agent or code

Examples:

"agent"

"code"

ai_fallback
boolean | null

Whether to fallback to AI if code run fails.

script_id
string | null

ID of the cached script used for this workflow run, if any.

run_request
WorkflowRunRequest · object

The original request parameters used to start this workflow run